<?php
include "koneksi.php";
if (!isset($_SESSION["UserID"])) {
	header("location:login.php?p=3");
}


?>
<!DOCTYPE html>
<link rel="stylesheet" type="text/css" href="style.css">
<html>

<head>
	<title> PT. MULTI HIDRACHROME BALIKPAPAN </title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<?php
	include "part/jss.php";
	?>

</head>

<body>

	<div style="width:1280px; height:220px" class="container" >

		
			<div class="alert alert-info" style='background-color:#F8F8FF' href="#">
            <div style="display: block; margin-left: auto; margin-right: auto; width: 1000px;  height:100px;"><img style="width: 1000px;  height:180px;" src="images/hd.jpg"></div>
            <div>
                <center>
                    <h1>PT. MULTI HIDRACHROM BALIKPAPAN</h1>
                </center>
            </div>
            <div>
                <center>
                    <h4 >PROFESIONAL INFORMATION SYSTEM</h4>
                </center>
            </div>
        </div>

			<?php
			include "part/menu.php";
			?>


			<div class="alert alert-info" style="background-color;" align='center' >
				<h3>Mutasi Karyawan</h3>
				<?php
				if (isset($_GET["p"])) {
					$p = $_GET["p"];
					if ($p == "1") {
				?>
						<div class="alert alert-primary">
							Data Karyawan berhasil ditambah!
						</div>
					<?php
					} else if ($p == "2") {
					?>
						<div class="alert alert-primary">
							Data Karyawan berhasil diupdate!
						</div>
					<?php
					} else if ($p == "3") {
					?>
						<div class="alert alert-primary">
							Data Karyawan berhasil dipecat!
						</div>
				<?php
					}
				}
				?>
				<table class="table table-bordered">
					<thead>
						<tr>
							<th>
								NIK 
							</th>
							<th>
								NAMA KARYAWAN
							</th>
							<th>
								LAMA BEKERJA 
							</th>
							<th>
								DURASI KONTRAK (Bulan) 
							</th>
							<th>
								AKHIR KONTRAK 
							</th>
							<th>
								PILIHAN 
							</th>
						</tr>
					</thead>
					<tbody>
						<?php
						$q = "SELECT * FROM data_karyawan ORDER BY id DESC";
						$res = mysqli_query($conn, $q);
						while ($row = mysqli_fetch_assoc($res)) {
						?>
							<tr>
								<td>
									<?php
									echo $row["nik"];
									?>
								</td>
								<td>
									<?php
									echo $row["nama_karyawan"];
									?>
								</td>
								<td>
									<?php
									echo $row["lama_bekerja"];
									$tanggalmasuk = $row["tanggal_masuk"];
									
									date_default_timezone_set('Asia/Jakarta');
                                    $awal = date_create($tanggalmasuk);
                                    $akhir = date_create('');
                                    $diff = date_diff($akhir,$awal);

                                    echo '('.$diff->y . ' tahun-';
                                    echo $diff->m . ' bulan-';
                                    echo $diff->d . ' hari)';
									?>
								</td>
								<td>
									<?php
									echo $row["durasi_kontrak_bulan"];
									?>
								</td>
								<td>
									<?php
									echo $row["akhir_kontrak"];
									?>
								</td>

								</td>

								<td>
									<a href="tambahmutasi.php?id=<?php echo $row["id"]; ?>">MUTASI</a>
								</td>
							</tr>
						<?php
						}
						?>
					</tbody>
				</table>

			</div>

    <script>
    $(document).ready(function()
	{
		 $('.table-bordered').DataTable();
	});
    </script>
	<center><h5 class="form-signin">Copyright &copy; <a href="#" data-toggle="modal" data-target="#contact">SatrioPringgondani</a></h5></center>  
</body>

</html>